Package org.freeplane.api

# Interface NodeGeometry

All Superinterfaces:
  `NodeGeometryRO`

All Known Subinterfaces:
  `Proxy.NodeGeometry`

public interface NodeGeometry extends NodeGeometryRO

Since:
  1.8.11

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setHorizontalMargin(Quantity<LengthUnit> length)`
  `void`
  `setIsUniform(boolean isUniform)`
  `void`
  `setShape(NodeShape shape)`
  `void`
  `setVerticalMargin(Quantity<LengthUnit> length)`

  ### Methods inherited from interface org.freeplane.api.NodeGeometryRO

  `getHorizontalMargin, getIsUniform, getShape, getVerticalMargin`

- ## Method Details

  - ### setShape

    void setShape(NodeShape shape)

  - ### setHorizontalMargin

    void setHorizontalMargin(Quantity<LengthUnit> length)

  - ### setVerticalMargin

    void setVerticalMargin(Quantity<LengthUnit> length)

  - ### setIsUniform

    void setIsUniform(boolean isUniform)